%define pypi_name slixmpp

Summary:	Slixmpp is an elegant Python library for XMPP (aka Jabber)
Name:		python-%{pypi_name}
Version:	1.8.3
Release:	%mkrel 1
License:	MIT
Group:		Development/Python
Url:		https://pypi.org/project/slixmpp/
Source0:        %{pypi_source}
# Pull Request in preparation
Patch0:		0001-Fix-registration.patch
BuildRequires:	python3-devel
BuildRequires:	python3-cython
BuildRequires:	python3-sphinx
BuildRequires:	python-sphinx-autodoc-typehints
BuildRequires:	pkgconfig(libidn)

%description
Slixmpp is an elegant Python library for XMPP (aka Jabber).

%package -n python3-%{pypi_name}
Summary:	Slixmpp is an elegant Python library for XMPP (aka Jabber)
Group:		Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Slixmpp is an elegant Python library for XMPP (aka Jabber).

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

# drop bundled egg-info
rm -rf *.egg-info

# cleanup
find . -name '*.pyo' -o -name '*.pyc' -delete

%build
%py3_build

export PYTHONPATH=$(pwd)
%make_build -C docs
rm -rf docs/_build/html/.buildinfo

%install
%py3_install

%files -n python3-%{pypi_name}
#doc docs/_build/html
%{python3_sitearch}/*


%changelog
* Tue Nov 29 2022 papoteur <papoteur> 1.8.3-1.mga9
+ Revision: 1912508
- update to 1.8.3 for CVE 2022-45197 (mga#31200)

* Fri Aug 05 2022 neoclust <neoclust> 1.8.2-1.mga9
+ Revision: 1875332
- New version 1.8.2

* Fri Apr 01 2022 umeabot <umeabot> 1.7.1-3.mga9
+ Revision: 1839343
- Mageia 9 Mass Rebuild

* Mon Feb 21 2022 mrambo3501 <mrambo3501> 1.7.1-2.mga9
+ Revision: 1782546
- rebuild for python-3.10

* Thu Sep 02 2021 wally <wally> 1.7.1-1.mga9
+ Revision: 1744122
- new version 1.7.1

* Mon Mar 22 2021 daviddavid <daviddavid> 1.6.0-2.mga9
+ Revision: 1707818
- rebuild for python 3.9

* Mon Jan 18 2021 neoclust <neoclust> 1.6.0-1.mga8
+ Revision: 1672328
- imported package python-slixmpp

